Gets font

- « Imagick::getFilename

- Imagick::getFormat »

- PHP Manual
- Imagick
- Gets font

# Imagick::getFont

(PECL imagick 2 >= 2.1.0, PECL imagick 3)

Imagick::getFont — Gets font

### Description

public Imagick::getFont(): string

Returns the objects font property. This method is available if Imagick has been compiled against ImageMagick version 6.3.7 or newer.

### Parameters

This function has no parameters.

### Return Values

Returns the string containing the font name or `false` if not font is set.

### See Also

- Imagick::setFont() - Sets font
- ImagickDraw::setFont() - Sets the fully-specified font to use when annotating with text
- ImagickDraw::getFont() - Returns the font